Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: OpenBVE  (gelezen 5788 keer)

niek

  • Gast
OpenBVE
« Gepost op: 2009/11/12, 14:16:41 »
Hi,

Ik probeer OpenBVE te installeren, met het volgende resultaat:

Citaat
niek@niek-desktop:~$ sudo apt-get install openbve
[sudo] password for niek:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  openbve: Depends: libtaoframework-openal1.1-cil (< 2.0.0.svn20071028) but 2.1.svn20090801-1build1 is to be installed
           Depends: libtaoframework-opengl2.1-cil (>= 2.0.0.svn20071027) but it is not installable
           Depends: libtaoframework-opengl2.1-cil (< 2.0.0.svn20071028) but it is not installable
           Depends: libtaoframework-sdl1.2-cil (< 2.0.0.svn20071028) but 2.1.svn20090801-1build1 is to be installed
E: Broken packages

Hoe kan ik dit oplossen? Ik heb al geprobeerd handmatig die gemiste pakketten te installeren, maar dan blijft dezelfde fout komen.

edit: Google leverde ook geen (nuttig) resultaat op.  ???

Groetjes,
Niek

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #1 Gepost op: 2009/11/12, 14:21:22 »
En in Synaptic, bij Bewerken Gebroken paketten repareren? Hebt je dat al geprobeerd?
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #2 Gepost op: 2009/11/12, 14:35:33 »
En niek, bovenstaande al geprobeerd?
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

niek

  • Gast
Re: OpenBVE
« Reactie #3 Gepost op: 2009/11/12, 14:57:44 »
En in Synaptic, bij Bewerken Gebroken paketten repareren? Hebt je dat al geprobeerd?
Nope, werkt niet. Hij zegt dat alles gerepareerd is, maar vervolgens werkt het nog niet. (niet op commandline en ook niet met Synaptic)

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #4 Gepost op: 2009/11/12, 15:04:51 »
Zo te zien ontbreken er minstens twee bibliotheken:

The following packages have unmet dependencies:
  openbve: Depends: libtaoframework-openal1.1-cil (< 2.0.0.svn20071028) but 2.1.svn20090801-1build1 is to be installed
           Depends: libtaoframework-opengl2.1-cil (>= 2.0.0.svn20071027) but it is not installable
           Depends: libtaoframework-opengl2.1-cil (< 2.0.0.svn20071028) but it is not installable
           Depends: libtaoframework-sdl1.2-cil (< 2.0.0.svn20071028) but 2.1.svn20090801-1build1 is to be installed
E: Broken packages

Even wachten op eventuele reacties van mensen die deze tool ook gebruiken of kennen. Sorry, ik ken het zelf niet.

« Laatst bewerkt op: 2009/11/12, 15:06:43 door Progger »
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

niek

  • Gast
Re: OpenBVE
« Reactie #5 Gepost op: 2009/11/15, 20:24:14 »
anyone?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #6 Gepost op: 2009/11/15, 20:37:29 »
Ik weet niet precies hoe het zit met taoframework uit de repos, want ik heb op 9.04 ook OpenBVE gehad, alleen daar had ik taoframework zelf gecompileerd.

Heb je toevallig zelf PPA's toegevoegd?

niek

  • Gast
Re: OpenBVE
« Reactie #7 Gepost op: 2009/11/15, 20:50:35 »
Ik weet niet precies hoe het zit met taoframework uit de repos, want ik heb op 9.04 ook OpenBVE gehad, alleen daar had ik taoframework zelf gecompileerd.

Heb je toevallig zelf PPA's toegevoegd?
PPA's ? https://launchpad.net/ubuntu/+ppas ?
Uh dit is voor het eerst dat ik er van hoor, en daar kwam ik uit met Google, so I guess not.

Heb wel zelf geprobeerd die packages waar hij om "klaagt" handmatig te installeren via sudo apt-get install bla
maar dat werkt dus ook niet... zelfde error

Offline MKe

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #8 Gepost op: 2010/01/10, 21:54:54 »
Probeerde dit progje ook een en kon het ook niet installeren (dezelfde foutmelding).

Bij Googelen vond ik het volgende op https://bugs.launchpad.net/ubuntu/+source/openbve/+bug/444462
Citaat
Launchpad Janitor  wrote on 2010-01-06:       #9

This bug was fixed in the package openbve - 1.2.4.1-0ubuntu1

---------------
openbve (1.2.4.1-0ubuntu1) lucid; urgency=low

  * New upstream stable version (1.2.4.1) (LP: #444934)
    fixes (LP: #419523) (LP: #419525) (LP: #419530) (LP: #444462)
  * changelog.html: update (1.2.3.3)
 -- Paul Sladen <email address hidden> Wed, 6 Jan 2010 07:58:00 +0000

Blijkbaar zal OpenBVE het op Lucid wel weer doen. Maar hoe krijg ik dit nu op Karmic ???

Offline leendert

  • Lid
    • Dutchgimpers.nl
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #9 Gepost op: 2010/01/12, 15:35:46 »
Hé dit spel kon ik nog niet, leuk: een treinsim voor Linux ^-^

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #10 Gepost op: 2010/01/12, 20:36:21 »
@MKe: Op Karmic zonder het compileren van afhankelijkheden? Niet.

Offline MKe

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #11 Gepost op: 2010/01/12, 21:53:21 »
@MKe: Op Karmic zonder het compileren van afhankelijkheden? Niet.
Ah, ik dacht al zoiets :(

Offline Gymnasiast

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #12 Gepost op: 2010/02/04, 20:30:41 »
Ik heb het wel werkend gekregen op Karmic, zonder compileren, d.m.v. de versies van Jaunty:
libtaoframe-openal1.1-cil: http://nl.archive.ubuntu.com/ubuntu/pool/universe/t/taoframework/libtaoframework-openal1.1-cil_2.0.0.svn20071027-5ubuntu3_all.deb
libtaoframework-opengl2.1: http://nl.archive.ubuntu.com/ubuntu/pool/universe/t/taoframework/libtaoframework-opengl2.1-cil_2.0.0.svn20071027-5ubuntu3_all.deb
libtaoframework-sdl1.2: http://nl.archive.ubuntu.com/ubuntu/pool/universe/t/taoframework/libtaoframework-sdl1.2-cil_2.0.0.svn20071027-5ubuntu3_all.deb

Installeer deze, ga naar synaptic, zoek naar libtaoframework en zet de versies vast (is bij twee van deze drie pakketten nodig). Installeer vervolgens via synaptic OpenBVE op de normale manier.

Bij mij werkt OpenBVE nu prima.
NOBODY expects the Spanish Inquisition!

Offline MKe

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #13 Gepost op: 2010/02/10, 21:30:19 »
Bedankt! Werkt als een trein ....   :D

Offline gerardsollie

  • Lid
  • Steunpunt: Nee
Re: OpenBVE
« Reactie #14 Gepost op: 2010/02/14, 12:09:50 »
Ik heb nu een ander probleem

Als ik vanuit de trein naar het hoofdmenu wil of wil afsluiten, blijft het spel hagen.

Iemand een oplossing?